package com.compsych.web.util;

import java.text.MessageFormat;
import java.util.ResourceBundle;

import javax.faces.context.FacesContext;

public class MessageUtils {

    public static String getMessage(String key) {

        ResourceBundle bundle = ResourceBundle.getBundle(FacesContext.getCurrentInstance().getApplication()
            .getMessageBundle());
        return bundle.getString(key);
    }

    public static String getMessage(String key, Object... params) {

        String message = getMessage(key);
        return MessageFormat.format(message, params);
    }

}
